Subject: Frontend User Session by POST ['recs']['ts']
Description

In TYPO3 6.1 it was no problem to write inside the frontend user session by having a form an posting the values to ['recs']['ts'] in a form
like this:

<form method="POST">
    <input id="default" type="submit" value="A" name="recs[ts][size]">
    <input id="big" type="submit" value="big" name="recs[ts][size]">
    <input id="bigger" type="submit" value="bigger" name="recs[ts][size]">
</form>

Since TYPO3 6.2 this does no longer work as long as there is no FE user logged in. In this case, the form is for a font resize menue
that should work for all users in the frontend even if they are not logged in.
I know that the FE cookie will no longer be set as the user is not logged in, but it should be set when a user is using the form even if
he is not logged in, right?

The solutions from this issue does not solve the problem for me: http://forge.typo3.org/issues/57751

Related issues:
related to Core - Bug # 57751: Felogin session not set Resolved 2014-04-08

History
#1 - 2014-11-27 12:35 - Michael Ganner

Teamgeist Medien wrote:

In TYPO3 6.1 it was no problem to write inside the frontend user session by having a form an posting the values to ['recs']['ts'] in a form like this:

[...]

Since TYPO3 6.2 this does no longer work as long as there is no FE user logged in. In this case, the form is for a font resize menue that should
work for all users in the frontend even if they are not logged in.
I know that the FE cookie will no longer be set as the user is not logged in, but it should be set when a user is using the form even if he is not
logged in, right?

The solutions from this issue does not solve the problem for me: http://forge.typo3.org/issues/57751

After an update from 6.1 to 6.2 we encountered exactly the same issue. As a workaround we set [FE][maxSessionDataSize] to an empty value which is
not recommended since it also disables a check that session data is stored only if a confirmed cookie is set.

Note: if [FE][maxSessionDataSize] is set to '0' we get the following Fatal error:

Fatal error: Interface 'Psr\Log\LoggerInterface' not found in /html/typo3/typo3_src-6.2.6/typo3/sysext/core/Classes/Log/Logger.php on line 24

#2 - 2014-12-23 19:57 - Mathias Schreiber
- Target version changed from next-patchlevel to 7.1 (Cleanup)

#3 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)

#4 - 2015-06-20 19:03 - Benjamin Mack
- Status changed from New to Needs Feedback

Can you please recheck? we did quite some work with the session handling until 6.2.13
